## designate-tlds 0.1.0

=== requirements.txt ===
python-designateclient
requests
idna
python-openstackclient
oslo.config
oslo.log
keystonemiddleware
keystoneauth1

=== debian/changelog ===
designate-tlds (0.1.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090410).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 17:09:42 +0100

designate-tlds (0.1.0-2) unstable; urgency=medium

  * Add HP in d/copyright.
  * Rebuild source-only.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Dec 2022 13:22:24 +0100

designate-tlds (0.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1026017)

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Dec 2022 10:36:36 +0100

=== debian/control ===
Source: designate-tlds
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Axel Jacquet <axel.jacquet@infomaniak.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python3-designateclient,
 python3-requests,
 python3-idna,
 python3-openstackclient,
 python3-oslo.config,
 python3-oslo.log,
 python3-keystonemiddleware,
 python3-keystoneauth1,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/designate-tlds
Vcs-Git: https://salsa.debian.org/openstack-team/services/designate-tlds.git
Homepage: https://salsa.debian.org/openstack-team/services/designate-tlds

Package: designate-tlds
Architecture: all
Depends:
 python3-designateclient,
 python3-requests,
 python3-idna,
 python3-openstackclient,
 python3-oslo.config,
 python3-oslo.log,
 python3-keystonemiddleware,
 python3-keystoneauth1,
 python3-pbr,
 ${misc:Depends},
 ${python3:Depends},
Description: Designate TLDs population
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package fill-up the Designate database with the global TLDs list
 downloaded from Mozilla.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT ?= https://salsa.debian.org/openstack-team/services/designate-tlds
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_clean:
	rm -rf AUTHORS ChangeLog build designate_tlds.egg-info
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_build:

override_dh_install:
	python3 setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp

	mkdir -p $(CURDIR)/debian/designate-tlds/etc/designate-tlds
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/designate-tlds/etc/designate-tlds/designate-tlds.conf \
		--wrap-width 140 \
		--namespace desigtldsopts \
		--namespace oslo.log \
		--namespace keystonemiddleware.auth_token

	pkgos-fix-config-default $(CURDIR)/debian/designate-tlds/etc/designate-tlds/designate-tlds.conf DEFAULT log_dir /var/log/designate-tlds
	pkgos-fix-config-default $(CURDIR)/debian/designate-tlds/etc/designate-tlds/designate-tlds.conf DEFAULT log_file designate-tlds.log
	dh_install

override_dh_fixperms:
	dh_fixperms
	chmod +x $(CURDIR)/debian/designate-tlds/etc/cron.weekly/designate-tlds

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
